import { html as p } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, g = Object.getOwnPropertyDescriptor, a = (c, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, s) : r, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (e = (t ? i(r, s, e) : i(e)) || e);
  return t && e && v(r, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--conversionRateLarge", this.class = "c-pieIcon c-pieIcon--conversionRateLarge", this.name = "IconConversionRateLarge";
  }
  render() {
    return p`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--conversionRateLarge"><path d="M14.04 18.625a3.927 3.927 0 0 0 7.606-.93 3.93 3.93 0 0 0-3.695-4.32 3.927 3.927 0 0 0-7.607.93 3.93 3.93 0 0 0 3.696 4.32m4.095-3.5a2.196 2.196 0 0 1-.385 4.375 2.17 2.17 0 0 1-1.943-1.199 3.92 3.92 0 0 0 2.328-3.176M14.25 12.5a2.188 2.188 0 1 1 0 4.375 2.188 2.188 0 0 1 0-4.375m14.936.98-3.141 3.141a.874.874 0 0 1-1.243 0l-3.141-3.141 1.242-1.243 1.558 1.558A8.75 8.75 0 0 0 9.813 9.814L8.571 8.57a10.5 10.5 0 0 1 17.71 5.329l1.663-1.663zm-7 8.75 1.242 1.242A10.5 10.5 0 0 1 5.718 18.1l-1.662 1.662-1.243-1.242 3.142-3.141a.875.875 0 0 1 1.242 0l3.141 3.14-1.242 1.243-1.558-1.557a8.75 8.75 0 0 0 14.648 3.981z"></path></svg>`;
  }
};
a([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  m("icon-conversion-rate-large")
], o);
export {
  o as IconConversionRateLarge
};
